Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.query.parser
Class QTField

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTField

All Implemented Interfaces:
  Node

    public class QTField

extends SimpleNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTField(BoolExprTree p, int id)`
`QTField(int id)`

Method Summary
`java.lang.Object` | `getComparedValue(java.lang.Object object)`
`java.beans.PropertyDescriptor` | `getDescriptor()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getValue(java.lang.Object object)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`
`void` | `validate(java.lang.Object object)`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTField

    public QTField(int id)

### QTField

    public QTField(BoolExprTree p,
                   int id)

Method Detail

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Throws:
    `ParseException`

### getDescriptor

    public java.beans.PropertyDescriptor getDescriptor()

### getComparedValue

    public java.lang.Object getComparedValue(java.lang.Object object)
                                      throws ParseException

  Throws:
    `ParseException`

### getValue

    public java.lang.Object getValue(java.lang.Object object)
                              throws ParseException

  Throws:
    `ParseException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD